Package org.opensaml.xmlsec.agreement

# Interface CloneableKeyAgreementParameter

All Superinterfaces:
  `Cloneable`, `KeyAgreementParameter`

All Known Implementing Classes:
  `ConcatKDF`, `DigestMethod`, `KANonce`, `PBKDF2`

public interface CloneableKeyAgreementParameter extends KeyAgreementParameter, Cloneable
A key agreement parameter which is capable of being cloned.

## Method Summary

Modifier and Type
Method
Description
`KeyAgreementParameter`
`clone()`
Clone the parameter instance.

## Method Details

### clone

KeyAgreementParameter clone()
Clone the parameter instance.

Returns:
  the cloned parameter